unit WinSaveSettingsUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TWinSaveSettings = class(TForm)
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WinSaveSettings: TWinSaveSettings;

implementation

uses MAIN;

{$R *.dfm}

procedure TWinSaveSettings.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=caFree;
end;

procedure TWinSaveSettings.FormCreate(Sender: TObject);
begin
 //
end;

procedure TWinSaveSettings.FormDestroy(Sender: TObject);
begin
  WinSaveSettings:=nil;
end;

procedure TWinSaveSettings.BitBtn1Click(Sender: TObject);
begin
  MainForm.ClearInput;
  if CheckBox1.Checked then   MainForm.AddToOutput('save config'+#13#10);
  if CheckBox2.Checked then   MainForm.AddToOutput('save controls'+#13#10);
  Close;
end;

procedure TWinSaveSettings.BitBtn2Click(Sender: TObject);
begin
  Close;
end;

end.
